Summary   	: A network traffic monitoring tool.
Name	  	: hhl-target-tcpdump
Version	  	: 3.6.2
Release	  	: %{_hhl_build_id}.3
Source	  	: tcpdump_3.6.2.orig.tar.gz
Source1: tcpdump.tmpl
Patch	  	: tcpdump_3.6.2-2.diff.gz
License 	: Other
Group	  	: net
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
#BuildRequires	:
#Requires	:
#Provides 	:
#Obsoletes	:

#
#	SRPM
#
%description

Tcpdump is a command-line tool for monitoring network traffic.
Tcpdump can capture and display the packet headers on a particular
network interface or on all interfaces.  Tcpdump can display all of
the packet headers, or just the ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.

#
#	RPM
#

%package -n hhl-%{_hhl_target_arch}-tcpdump
Summary		: A network traffic monitoring tool.
Group		: Applications/Internet
AutoReqProv	: no

%description -n hhl-%{_hhl_target_arch}-tcpdump

Tcpdump is a command-line tool for monitoring network traffic.
Tcpdump can capture and display the packet headers on a particular
network interface or on all interfaces.  Tcpdump can display all of
the packet headers, or just the ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.

%prep

%target_check

%setup -n tcpdump-%{version}

%patch -p1

%build
PATH=%{_hhl_cross_bin_dir}:$PATH

%target_setup
export ac_cv_linux_vers=2

%target_configure

make LDFLAGS= INCLS="-I. -I.. -I../missing"

%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

%target_makeinstall
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*


install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/tcpdump

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-tcpdump
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/tcpdump
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/tcpdump.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/tcpdump
%doc LICENSE
%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Mar 12 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file
